Release Kodi v21 "Omega" Beta 2 Released
#1
Kodi v21 (Omega) Beta 2 has been released. Download from the Pre-Release tab in the usual Download pages.

Read the full article here... https://kodi.tv/article/kodi-21-0-omega-beta-2/
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#2
Important Note:

Beta 2 is the final build of Kodi v21 (Omega) that will be compatible with skins that have their xbmc.gui version set to 5.15.0
All future builds of Kodi v21 (Omega) will only be compatible with skin that have their xbmc.gui version set to 5.17.0

What is xbmc.gui version?
All skins set a xbmc.gui version depending on what Kodi release they are compatible with, below are some xbmc.gui versions and what Kodi version they relate to.

Matrix v19
xml:
"xbmc.gui" version="5.15.0"
Nexus v20
xml:
"xbmc.gui" version="5.16.0"
Omega v21
xml:
"xbmc.gui" version="5.17.0"

What has changed?
The ABI which sets the minimum version of the xbmc.gui version that the current release of Kodi is compatible with has now been bumped from 5.15.0 to 5.17.0
While the ABI was set to 5.15.0 then Kodi has remained compatible with Matrix and Nexus skins.
With the ABI now set to 5.17.0 then from the 10/12/2023 all subsequent Omega v21 builds after Omega Beta 2 will only be compatible with Omega skins.

What does this mean for Omega Beta 2?
Nothing.
Installing this Beta 2 will cause no issues to your existing setup.

What does this mean for the future?
Before installing a v21 nightly released after this Beta 2, ensure the skin on your system has been updated to xbmc.gui version 5.17.0.

The xbmc.gui version of a skin can be checked by opening the addon.xml file in the skin folder and checking this line...
xml:
<import addon="xbmc.gui" version="5.17.0"/>


Skins known to have updated to ABI v5.17.0 Skinners, please post here when your skin has been updated to be included in the list.


(ABI = Application Binary Interface )
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#3
Thanks for the update.

Any chance the Windows (uwp and desktop) build will get an updated python?
It is still Python 3.8.x on the 21Beta2, where as for all other platforms have been bumped to 3.11.x. This is causing issues for addon development as there are some functions/libraries that are different in 3.11.x and they dont get noticed when developing on Windows platform and have to wait till users starts complaining about some specific feature not working under LE/Android/ATV after the release.
Would be extremely helpful as developers like myself rely on the Windows build for addon development.
Kodi 21 nightly Windows 10 | 20.3 Xbox One X | 21 nightly Linux Mint Virginia XFCE | CoreELEC NE 21 nightly S905X4 aarch64
Reply
#4
(2023-12-11, 00:35)gujal Wrote: Any chance the Windows (uwp and desktop) build will get an updated python?
I asked the developers for you, the responses were...

Quote:Extremely unlikely anything is going to happen on the windows front
No one is actively maintaining dependencies for windows.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#5
(2023-12-10, 06:14)Karellen Wrote: Kodi v21 (Omega) Beta 2 has been released. Download from the Pre-Release tab in the usual Download pages.

Article still to come...

Where is the article?
Reply
#6
Still to come
Reply
#7
Skins known to have updated to ABI v5.17.0
Estuary MOD V2 Matrix/Nexus/Omega KN Edition
https://forum.kodi.tv/showthread.php?tid...pid3175079
Reply
#8
(2023-12-14, 12:04)crazyturk Wrote: Estuary MOD V2 Matrix/Nexus/Omega KN Edition
Thanks. Added.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#9
Hi,
is there a chance that only the xbmc.gui version needs to be switched and the skin will
work. Or is this deeper and really needs to be compiled or something with new librarys?
Reply
#10
(2023-12-14, 21:41)Gizzmo Wrote: is there a chance that only the xbmc.gui version needs to be switched and the skin will
You can bump the version number and the chances are high the skin will still work. But the new features implemented into Kodi that forced the version bump will not be available in the skin as it needs to be coded for the new features.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#11
(2023-12-14, 21:41)Gizzmo Wrote: Hi,
is there a chance that only the xbmc.gui version needs to be switched and the skin will
work. Or is this deeper and really needs to be compiled or something with new librarys?

You don't need to do any compilation.You can install it directly.
I installed it directly on Android and it works.
Reply
#12
OK, I am not so much in new features but I want my Embuary skin. 
Of course if it gets updated that would be great, but I don‘t wanna change
the skin Smile
Reply
#13
(2023-12-14, 21:49)Gizzmo Wrote: OK, I am not so much in new features but I want my Embuary skin. 
Then you need to contact the skinner and ask if there will be an update.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#14
@Karellen,
I know thanks Smile

For now I bumped the version number and it seems to run again with beta2.
Need to test if anything has issues, but first quick test seems OK.
Reply
#15
(2023-12-15, 08:23)Gizzmo Wrote: Need to test if anything has issues, but first quick test seems OK.
This PR lists the changes between 5.15 and 5.17... https://github.com/xbmc/xbmc/pull/23927
It just means that the skin won't be able to provide those features to you. So if you don't use them, then no problems.
Of course, you can always change back to Estuary or another compatible skin and use the feature there.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki)  ||  Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply

Logout Mark Read Team Forum Stats Members Help
Kodi v21 "Omega" Beta 2 Released0
This forum uses Lukasz Tkacz MyBB addons.